package com.sp.blinddate.exception;

import lombok.NoArgsConstructor;

/**
 * @Classname CheckedException
 * @Description 自定义检查异常
 * @Date 2019-06-14 15:42
 * @Version 1.0
 */
@NoArgsConstructor
public class CheckedException extends RuntimeException {

    private static final long serialVersionUID = 1L;

    public CheckedException(String message) {
        super(message);
    }

    public CheckedException(Throwable cause) {
        super(cause);
    }

    public CheckedException(String message, Throwable cause) {
        super(message, cause);
    }

    public CheckedException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }

}
