package com.sp.blinddate.module.permission.service;

import com.sp.blinddate.module.permission.entity.AdminRolePO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sp.http.ServiceResult;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author jahe.lai
 * @since 2019-09-27
 */
public interface IAdminRoleService extends IService<AdminRolePO> {

    List<AdminRolePO> findAll();

    AdminRolePO findRoleName(Integer roleId);

    ServiceResult<Boolean> add(AdminRolePO rolePO);

    ServiceResult<Boolean> updateRole(AdminRolePO rolePO);
}
