package com.sp.blinddate.module.permission.service;

import com.sp.blinddate.module.permission.entity.PermissionPO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sp.blinddate.module.permission.vo.ModulePermissionVO;
import com.sp.blinddate.module.permission.vo.PrivilegeSettingVO;
import com.sp.blinddate.module.permission.vo.UserPrivilegeVO;

import java.util.List;

/**
 * <p>
 * 用户权限明细 服务类
 * </p>
 *
 * @author jahe.lai
 * @since 2019-09-27
 */
public interface IPermissionService extends IService<PermissionPO> {

    boolean setPrivilege(PrivilegeSettingVO settingVO);

    UserPrivilegeVO findPrivilege(Integer userId);

    List<ModulePermissionVO> findPermission(Integer userId, String username);

    List<PermissionPO> getRolePrivilege(int roleId);
}
