package com.sp.blinddate.websocket;

import com.sp.utils.JsonUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.web.socket.WebSocketSession;


/**
 * 处理收到消息
 * @author: jahe.lai
 * @create: 2019-10-15 15:28
 */
@Service
public class WsMsgHandler {

    private static Logger log = LoggerFactory.getLogger(WsMsgHandler.class);

    public void handle(WebSocketSession session, String message) {
        log.warn("message={}     USER={}", message, Ws.getUserName(session));
        WsMessage wsMessage = JsonUtil.toObject(message, WsMessage.class);
        switch (wsMessage.getP()) {
            case IWsProto.WS_MSG :
        }

    }

}
