package com.sp.blinddate.base.vo;

import com.sp.ienum.IEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/11/13 17:18
 **/
@Data
@ApiModel(value = "枚举类VO")
public class BaseEnumVO implements Serializable {

    @ApiModelProperty(name="value",value="值")
    private Integer value;

    @ApiModelProperty(name="name",value="名字")
    private String name;

    public BaseEnumVO(IEnum ienum) {
        this.setValue(ienum.getNum());
        this.setName(ienum.getName());
    }

}
