package com.sp.blinddate.module.chlidinfo.param;

import com.sp.blinddate.common.BaseReviewIenum;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/11/25 17:31
 **/
@Data
@Api(value = "相亲资料请求参数对象")
public class ChildInfoParam {

    @ApiModelProperty(name="pageNum",value="当前页")
    private int pageNum;

    @ApiModelProperty(name="pageSize",value="每页的条数")
    private int pageSize = 20;

    @ApiModelProperty(name="userId",value="用户id")
    private Long userId;

    @ApiModelProperty(name="nickName",value="昵称")
    private String nickName;

    @NotNull(message = "状态为空")
    @ApiModelProperty(name="status",value="用户信息状态，1：待审核，2：审核通过，3：拒绝：4：下架")
    private BaseReviewIenum status;


}
