package com.sp.blinddate.module.chlidinfo.service;

import com.github.pagehelper.PageInfo;
import com.sp.blinddate.common.BaseReviewIenum;
import com.sp.blinddate.module.chlidinfo.param.ChildInfoParam;
import com.sp.blinddate.module.chlidinfo.vo.ChildInfoVO;
import com.sp.blinddate.module.chlidinfo.vo.UserDetailInfoVO;
import com.sp.blinddate.module.recommand.vo.RecommandVO;
import com.sp.blinddate.module.user.param.UserFullInfoParam;

import java.util.List;

/**
 * @Author: 十一
 * @Date: 2019/11/25 17:48
 * @Descrption
 **/
public interface ChildInfoService {
    PageInfo<ChildInfoVO> getVerifyList(ChildInfoParam param);

    UserDetailInfoVO getDetailInfo(Long infoId);

    void verifyUserInfo(Long userInfoId, BaseReviewIenum status);

    UserFullInfoParam getUserEditInfo(Long userInfoId);

    List<RecommandVO> getUserInfosByUserId(Long userId);
}
