package com.sp.blinddate.module.chlidinfo.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/11/25 17:50
 **/
@Data
@ApiModel(value = "用户相亲资料")
public class ChildInfoVO implements Serializable {
    @ApiModelProperty(name="userId",value="用户id")
    private Long userId;

    @ApiModelProperty(name="nickName",value="昵称")
    private String nickName;

    @ApiModelProperty(name="headImg",value="头像")
    private String headImg;

    @ApiModelProperty(name="coverImg",value="封面")
    private String coverImg;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(name="publishTime",value="发布时间")
    private Date publishTime;

    @ApiModelProperty(name="userInfoId",value="资料详情id,查询资料详情使用这个infoId")
    private Long userInfoId;
}
