package com.sp.blinddate.module.geo.keyprefix;

import com.sp.BaseKeyPrefix;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/11/27 15:35
 **/
public class GeoKeyPrefix extends BaseKeyPrefix {

    public GeoKeyPrefix(String prefix,Integer expire){
        super(prefix,expire);
    }

    /**
     * 省的列表
    **/
    public static String CHINA_PROVINCE_LIST = "china:province";

    /**
     * 全国的坐标
     **/
    public static String CHINA_PROVINCE_COORDINATE = "china:province:coordinate";

    public static String PROVINCE_DISTANCE = "province:distance";

    public static GeoKeyPrefix provinceList = new GeoKeyPrefix(CHINA_PROVINCE_LIST, -1);
    public static GeoKeyPrefix coordinateList = new GeoKeyPrefix(CHINA_PROVINCE_COORDINATE, -1);
    public static GeoKeyPrefix provinceDistance = new GeoKeyPrefix(PROVINCE_DISTANCE, -1);

}
