package com.sp.blinddate.module.order.ienum;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.sp.ienum.IEnum;

/**
 * @author apple
 */

public enum OrderStatusEnum implements IEnum {
	
	Todo(1, "待处理")
	,Notify(2, "通知处理中")
	,Finish(3, "已处理")
	,Close(4, "已关闭")
	,Error(99, "异常")			//需要人工干预，通知相关负责人。
	;

	@EnumValue
	private int num;
	private String name;
	
	OrderStatusEnum(int num, String name) {
		this.num = num;
		this.name = name;
	}
	
	@Override
	public int getNum() {
		return this.num;
	}
	@Override
	public String getName() {
		return this.name;
	}
}