package com.sp.blinddate.module.order.ienum;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.sp.ienum.IEnum;

/**
 * 支付状态
 * @author apple
 */
public enum PayStatusEnum implements IEnum {
	
	Topay(1, "待支付")
	,Payed(2, "已支付")
	;

	@EnumValue
	private int num;
	private String name;
	
	PayStatusEnum(int num, String name) {
		this.num = num;
		this.name = name;
	}
	
	@Override
	public int getNum() {
		return this.num;
	}
	@Override
	public String getName() {
		return this.name;
	}
}