package com.sp.blinddate.module.order.ienum;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.sp.ienum.IEnum;

/**
 *  支付方式
 * @author apple
 */
public enum PayTypeEnum implements IEnum {
	
	AlipayApp(1, "支付宝支付APP")
	,AlipayWap(2, "支付宝支付手机网页版")
	,AlipayPage(3, "支付宝支付电脑网页版")
	,AlipayProgram(4, "支付宝支付小程序")
	
	,WXPayApp(11, "微信支付APP")
	,WXPayMP(12, "微信支付公众号")
	,WXPayQrcode(13, "微信支付扫码")
	,WXPayH5(14, "微信支付H5")
	,WXPayProgram(15, "微信支付小程序")
	;

	@EnumValue
	private int num;
	private String name;
	
	PayTypeEnum(int num, String name) {
		this.num = num;
		this.name = name;
	}
	
	@Override
	public int getNum() {
		return this.num;
	}
	@Override
	public String getName() {
		return this.name;
	}
}