package com.sp.blinddate.module.order.service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sp.blinddate.module.order.entity.Order;
import com.sp.blinddate.module.order.ienum.PayTypeEnum;
import com.sp.blinddate.module.order.param.OrderParam;
import com.sp.blinddate.module.user.entity.User;

/**
 * <p>
 * 订单表 服务类
 * </p>
 *
 * @author 十一
 * @since 2019-09-24
 */
public interface IOrderService extends IService<Order> {

    Order queryOrder(String orderNo);

    Object unifiedPay(String openId, Order orderNo, PayTypeEnum payType, String clientIp);

    Order createOrder(User user, OrderParam orderParam, String clientIp);

    boolean updateOrderPayed(String orderNo, PayTypeEnum payType, String payNo, String payAppId, String paySellerId);

}
