package com.sp.blinddate.module.order.vo;

import com.sp.blinddate.module.order.ienum.OrderStatusEnum;
import com.sp.blinddate.module.order.ienum.PayStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**
 * @author 十一
 */
@ApiModel("订单信息")
public class OrderVO {

	@ApiModelProperty("订单号")
	private String orderNo;
	@ApiModelProperty("订单金额")
	private int totalFee;
	@ApiModelProperty("订单状态")
	private OrderStatusEnum orderStatus;
	@ApiModelProperty("支付状态")
	private PayStatusEnum payStatus;
}
