package com.sp.blinddate.module.recommand.vo;

import com.sp.blinddate.common.BaseLikeEnum;
import com.sp.blinddate.common.BaseReviewIenum;
import com.sp.blinddate.module.user.ienum.EducationEnum;
import com.sp.blinddate.module.user.ienum.GenderEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/11/21 15:36
 **/
@Data
public class RecommandVO implements Serializable {

    @ApiModelProperty(name="status",value="审核状态：1：待审核，2:审核通过，3：拒绝")
    private BaseReviewIenum status;

    @ApiModelProperty(name="coverImg",value="封面")
    private String coverImg;

    @ApiModelProperty(name="userInfoId",value="用户信息id")
    private Long userInfoId;

    @ApiModelProperty(name="isLiked",value="是否喜欢过，0：未喜欢 1：已喜欢")
    private BaseLikeEnum isLiked;

    @ApiModelProperty(name="gender",value="性别 1:男 2：女")
    private String gender;

    @ApiModelProperty(name="age",value="年龄")
    private Integer age;

    @ApiModelProperty(name="residence",value="居住地")
    private String residence;

    @ApiModelProperty(name="censusProvince",value="户籍(省）")
    private String censusProvince;

    @ApiModelProperty(name="censusCity",value="户籍（市）")
    private String censusCity;

    @ApiModelProperty(name="Education",value="学历")
    private String education;

    @ApiModelProperty(name="height",value="身高")
    private String height;

    @ApiModelProperty(name="carrer",value="职业")
    private String carrer;

    @ApiModelProperty(name="income",value="年薪")
    private String income;

    @ApiModelProperty(name="birth",value="出生日期",hidden = true)
    private Date birth;

    @ApiModelProperty(name="marriageNumber",value="姻缘号")
    private String marriageNumber;

}
