package com.sp.blinddate.module.statistics.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/12/7 16:29
 **/
@ApiModel(value = "统计参数对象")
@Data
public class StatisticsParam {

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(name="date",value="日期")
    private Date date;

    @ApiModelProperty(name="pageNum",value="当前页")
    private int pageNum;

    @ApiModelProperty(name="pageSize",value="每页的条数")
    private int pageSize = 20;

}
