package com.sp.blinddate.module.user.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;

import com.sp.blinddate.base.status.StatusEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author 十一
 * @since 2019-11-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("user_child_picture")
public class UserChildPicture extends Model<UserChildPicture> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id",type = IdType.INPUT)
    private Long id;

    /**
     * 用户id
     */
    private Long userInfoId;

    /**
     * 图片地址
     */
    private String pictureUrl;

    /**
     * 图片地址:0:正常:1:下架
     */
    private StatusEnum status;

    /**
     * 序号
    **/
    private Integer orders;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
