package com.sp.blinddate.module.user.ienum;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.sp.ienum.IEnum;

/**
 * @Author: 十一
 * @Date: 2019/8/29 11:02
 * @Descrption 性别枚举
 **/
public enum  GenderEnum implements IEnum {

    Other(0,"未知"),Male(1,"男"),Female(2,"女");

    @EnumValue
    private int num;
    private String name;

    GenderEnum(int num,String name){
        this.num = num;
        this.name = name;
    }

    @Override
    public int getNum() {
        return this.num;
    }

    @Override
    public String getName() {
        return this.name;
    }

    public static GenderEnum getReverseGender(GenderEnum gender){
        if(gender.equals(GenderEnum.Male)){
            return GenderEnum.Female;
        }else{
            return GenderEnum.Male;
        }
    }
}
