package com.sp.blinddate.module.user.ienum;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.sp.ienum.IEnum;

/**
 * @Descrption 与子女的关系枚举类
 * @Author: 十一
 * @Date: 2019/11/13 16:56
 **/
public enum RelationEnum implements IEnum {
    Self(0,"本人"),
    Parent(1,"父母"),
    Relative(2,"亲戚"),
    Friend(3,"朋友");

    @EnumValue
    private Integer num;
    private String name;

    RelationEnum(Integer num,String name){
        this.num = num;
        this.name = name;
    }
    @Override
    public int getNum() {
        return this.num;
    }

    @Override
    public String getName() {
        return this.name;
    }
}
