package com.sp.blinddate.module.user.service;

import com.github.pagehelper.PageInfo;
import com.sp.blinddate.module.user.entity.User;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sp.blinddate.module.user.param.EncryUserInfoParam;
import com.sp.blinddate.module.user.vo.MineInfoVO;
import com.sp.blinddate.module.user.vo.UserLoginVO;
import com.sp.blinddate.module.vip.param.BaseParam;
import com.sp.blinddate.module.vip.vo.UserVO;

import java.util.List;

/**
 * <p>
 * 用户账户表 服务类
 * </p>
 *
 * @author 十一
 * @since 2019-11-13
 */
public interface IUserService extends IService<User> {

    String loginByCode(String code);

    UserLoginVO login(EncryUserInfoParam param);

    String getUserBindPhone(User user, EncryUserInfoParam param);

    MineInfoVO getMineInfo(User user);

    List<String> getUserHeadImgsByIds(List<Long> userIds);

    PageInfo<UserVO> getUserListOrderByCreateTime(BaseParam param);
}
