package com.sp.blinddate.module.user.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.sp.blinddate.common.BaseReviewIenum;
import com.sp.blinddate.module.user.ienum.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Descrption
 * @Author: 十一·
 * @Date: 2019/11/20 14:22
 **/
@Data
public class ChildBlindInfoBase implements Serializable {

    @ApiModelProperty(name = "coverImg", value = "封面")
    private String coverImg;

    @ApiModelProperty(name = "likeNum", value = "喜欢的次数")
    private Integer likeNum;

    @ApiModelProperty(name = "marriageNumber", value = "姻缘号")
    private String marriageNumber;

    @ApiModelProperty(name = "age", value = "年龄")
    private Integer age;

    @ApiModelProperty(name = "gender", value = "性别")
    private String gender;

    @ApiModelProperty(name = "residenceCity", value = "居住地")
    private String residenceCity;

    @ApiModelProperty(name = "censusProvince", value = "户籍(省）")
    private String censusProvince;

    @ApiModelProperty(name = "censusCity", value = "户籍(市）")
    private String censusCity;

    @ApiModelProperty(name = "education", value = "学历")
    private String education;

    @ApiModelProperty(name = "height", value = "身高")
    private String height;

    @ApiModelProperty(name = "carrer", value = "职业")
    private String carrer;

    @ApiModelProperty(name = "income", value = "年收入")
    private String income;

    @ApiModelProperty(name = "userInfoId", value = "用户信息id")
    private Long userInfoId;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(name = "birth", value = "出生日期", hidden = true)
    private Date birth;

    @ApiModelProperty(name="reviewStatus",value="审核状态 1：待审核,2:审核通过,3:审核拒绝,4:下架")
    private BaseReviewIenum status;

    @ApiModelProperty(name="province",value="用户当前所在的省")
    private String province;

    @ApiModelProperty(name="city",value="用户当前所在的市")
    private String city;
}
