package com.sp.blinddate.module.user.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.sp.blinddate.base.user.BaseUserInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/11/20 17:35
 **/
@Data
@ApiModel(value = "我的信息")
public class MineInfoVO extends BaseUserInfo implements Serializable {

    @ApiModelProperty(name="likeNum",value="被喜欢的数量")
    private int likeNum;

    @ApiModelProperty(name="beLikedUserList",value="喜欢您子女的人")
    private List<String> beLikedUserList;

    @ApiModelProperty(name="likedUserList",value="您喜欢过的人")
    private List<String> likedUserList;

    @ApiModelProperty(name="phone",value="手机号码")
    private String phone;

    @ApiModelProperty(name="VIP",value="VIP")
    private Boolean VIP;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(name="vipExpireTime",value="vip过期时间")
    private Date vipExpireTime;

}
