package com.sp.blinddate.module.user.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/11/28 14:55
 **/
@Data
@ApiModel(value = "用户信息")
public class UserLoginVO {

    @ApiModelProperty(name="token",value="token")
    private String token;

    @ApiModelProperty(name="VIP",value="VIP")
    private Boolean VIP;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(name="vipExpireTime",value="vip过期时间")
    private Date vipExpireTime;

    @ApiModelProperty(name="vipPrice",value="vip价格")
    private BigDecimal vipPrice;
}
