package com.sp.blinddate.module.vip.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/12/16 20:08
 **/
@Data
@ApiModel("基本参数")
public class BaseParam implements Serializable {

    @ApiModelProperty(name="pageNum",value="当前页")
    private int pageNum;

    @ApiModelProperty(name="pageSize",value="每页的条数")
    private int pageSize = 20;

    @ApiModelProperty(name="userId",value="用户id")
    private Long userId;

    @ApiModelProperty(name="nickName",value="昵称")
    private String nickName;
}
