package com.sp.blinddate.module.vip.vo;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.sp.blinddate.base.status.VIPEnum;
import com.sp.blinddate.base.user.BaseUserInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/12/16 20:09
 **/
@Data
@ApiModel(value = "用户信息")
@JsonIgnoreProperties(value = "vipStatus")
public class UserVO extends BaseUserInfo implements Serializable {

    @ApiModelProperty(name="id",value="用户id")
    private Long id;

    @ApiModelProperty(name="createTime",value="创建时间")
    private Date createTime;

    @ApiModelProperty(name="phone",value="手机")
    private String phone;

    @ApiModelProperty(name="vip",value="vip")
    private String vip;

    @ApiModelProperty(name="vipStatus",value="vip状态",hidden = true)
    private VIPEnum vipStatus;

    @ApiModelProperty(name="city",value="城市")
    private String city;
}
