package com.sp.blinddate.module.wordfilter.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author 十一
 * @since 2019-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sensitive_words")
public class SensitiveWords extends Model<SensitiveWords> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 敏感词
     */
    private String sensitiveWords;

    /**
     * 设置的管理员id
     */
    private Integer adminId;

    private LocalDateTime createTime;

    /**
     * 类型 1 房间名 2 聊天 3 房间玩法
     */
    private Integer type;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
