package com.sp.blinddate.result;

import com.sp.http.MJson;

import java.text.MessageFormat;

/**
 * @Author: 十一
 * @Date: 2019/8/31 18:12
 * @Descrption 统一异常处理对象
 **/
public class ResultJson extends MJson {

    public static ResultJson MYSQL_DUPLICATE_OP_RESUTL = new ResultJson(200,"{0}");
    public static ResultJson PARAM_ERROR_RESULT = new ResultJson(500,"{0}");
    public static ResultJson LOGIN_ERROR_RESULT = new ResultJson(504,"登陆异常");
    public static ResultJson USER_PHONE_UNBIND_RESULT = new ResultJson(500,"{0}");
    public static ResultJson VIP_ERROR_RESULT = new ResultJson(505,"{0}");
    public static ResultJson USER_INFO_IMPROVE_RESULT = new ResultJson(502,"{0}");
    public static ResultJson AUTH_ERROR_RESULT = new ResultJson(504,"{0}");

    public ResultJson(){}

    public ResultJson(int code,String msg){
        setCode(code);
        setMsg(msg);
    }

    public ResultJson fillArgs(String message){
        ResultJson resultJson = new ResultJson(this.getCode(), message);
        String msg = resultJson.getMsg();
        resultJson.setMsg(MessageFormat.format(msg,message));
        return resultJson;
    }


}
