package com.sp.blinddate.utils;

import com.sp.blinddate.base.vo.BaseEnumVO;
import com.sp.ienum.IEnum;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @Descrption 枚举工具类
 * @Author: 十一
 * @Date: 2019/11/13 17:30
 **/
public class EnumUtil {

    /**
     *功能描述 将
     * @author 十一
     * @date 2019/11/13 19:22
     */
    public static List<BaseEnumVO> enumToList(IEnum...objs){
        return Arrays.asList(objs).stream().map(BaseEnumVO::new).collect(Collectors.toList());
    }

}
