package com.sp;

import com.baomidou.mybatisplus.extension.plugins.PaginationInterceptor;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @author 十一
 */
@SpringBootApplication
@EnableScheduling
@MapperScan(basePackages = "com.sp.blinddate.module.**.mapper")
public class BlindDateLogicApplication {

    public static void main(String[] args) {
        SpringApplication.run(BlindDateLogicApplication.class, args);
    }

    /**
     *功能描述 分页插件的配置
     * @author 十一
     * @date 2019/12/3 17:15
     */
    @Bean
    public PaginationInterceptor paginationInterceptor() {
        PaginationInterceptor paginationInterceptor = new PaginationInterceptor();
        return paginationInterceptor;
    }

}
