package com.sp.blinddate;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @author 十一
 */
@SpringBootApplication
@EnableCaching
@MapperScan({"com.sp.blinddate.module.**.mapper", "com.sp.blinddate.module.**.mapper"})
public class BlindDateAdminMain {
	public static void main(String[] args){
		SpringApplication.run(BlindDateAdminMain.class, args);
	}
}
