package com.sp.blinddate.websocket;


import com.sp.utils.JsonUtil;

/**
 * WS通讯的数据的协议,结构
 */
public class WsMessage {

    // 协议号或协议标识, 类似于接口.
    public String p;
    // 协议对应的数据.
    public String msg;

    public static WsMessage of(String proto, String message) {
        WsMessage ws = new WsMessage();
        ws.p = proto;
        ws.msg = message;
        return ws;
    }

    public static String message(String proto, String message) {
        WsMessage ws = of(proto, message);
        return JsonUtil.toStr(ws);
    }

    public String getP() {
        return p;
    }

    public void setP(String p) {
        this.p = p;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
