package com.sp.blinddate.handler;

import com.sp.blinddate.module.user.keyprefix.UserKeyPrefix;
import com.sp.blinddate.utils.AliOSSUtil;
import com.sp.blinddate.utils.EnvironmentUtil;

/**
 * @Descrption rediskey过期处理事件
 * @Author: 十一
 * @Date: 2019/11/15 14:55
 **/
public class RedisKeyExpireHandler {

    public static void handler(String key){
        //处理图片上传后没有保存的用户信息
        if(key.contains(UserKeyPrefix.USER_INFO_PIC_UPLOAD_STASH_KEY)){
            String objectKey = key.replace(UserKeyPrefix.USER_INFO_PIC_UPLOAD_STASH_KEY+":","");
            //user:info:picture:upload:stash:key:blinddate/2404f09b8a5242d593af95e40d0ac147_20191129_51f61d2d26534051a65bcd9eecc924a8.jpg
            AliOSSUtil.deleteObject(objectKey);
        }
    }
}
