package com.sp.blinddate.module.chlidinfo.keyprefix;

import com.sp.BaseKeyPrefix;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/11/27 16:37
 **/
public class UserInfoKeyPrefix extends BaseKeyPrefix {

    public UserInfoKeyPrefix(String prefix,Integer expire){
        super(prefix,expire);
    }

    /**
     * 用户信息池子，按照省和市分为很多个
    **/
    public static String USER_POOL = "user:pool";

    public static String USER_RECOMMAND_FILTER = "user:recommand:filter";


    public static UserInfoKeyPrefix userPool = new UserInfoKeyPrefix(USER_POOL, -1);
    public static UserInfoKeyPrefix userRecommandFilter = new UserInfoKeyPrefix(USER_RECOMMAND_FILTER, -1);

}
