package com.sp.blinddate.module.chlidinfo.vo;

import com.sp.blinddate.module.spouse.entity.SpouseRequest;
import com.sp.blinddate.module.user.entity.UserChildInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/11/25 19:48
 **/
@Data
@ApiModel(value = "用户相亲信息详情")
public class UserDetailInfoVO implements Serializable {

    @ApiModelProperty(name="pictures",value="用户图片")
    private List<String> pictures;

    @ApiModelProperty(name="info",value="生活状况")
    private UserChildInfo info;

    @ApiModelProperty(name="spouseRequest",value="择偶请求")
    private SpouseRequest spouseRequest;

}
