package com.sp.blinddate.module.likechildinfo.mapper;

import com.sp.blinddate.common.BaseLikeEnum;
import com.sp.blinddate.module.likechildinfo.entity.UserLikeChildDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sp.blinddate.module.likechildinfo.vo.UserLikeChildVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 用户喜欢子女的详情表 Mapper 接口
 * </p>
 *
 * @author 十一
 * @since 2019-11-20
 */
public interface UserLikeChildDetailMapper extends BaseMapper<UserLikeChildDetail> {

    List<UserLikeChildVO> getLikeChildList(@Param("id") Long id);

    List<UserLikeChildVO> getLikeMyChildList(@Param("id") Long id);

    BaseLikeEnum checkLike(@Param("id") Long id, @Param("marriageNumber") String marriageNumber);

}
