package com.sp.blinddate.module.likechildinfo.service;

import com.github.pagehelper.PageInfo;
import com.sp.blinddate.common.BaseLikeEnum;
import com.sp.blinddate.module.likechildinfo.entity.UserLikeChildDetail;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sp.blinddate.module.likechildinfo.vo.UserLikeChildVO;
import com.sp.blinddate.module.user.entity.User;
import com.sp.constant.P;

import java.util.List;

/**
 * <p>
 * 用户喜欢子女的详情表 服务类
 * </p>
 *
 * @author 十一
 * @since 2019-11-20
 */
public interface IUserLikeChildDetailService extends IService<UserLikeChildDetail> {

    int countLikeNumber(String marriageNumber);

    void likeCurrentChild(User user, String marrigeNumber);

    List<String> getLikeMyChildListByThumbnail(Long id);

    List<String> getLikedChildListByThumbnail(Long id);

    PageInfo<UserLikeChildVO> getLikedChildList(User user, Integer currentPage);

    PageInfo<UserLikeChildVO> getLikeMyChildList(User user, Integer currentPage);

    BaseLikeEnum checkLike(Long id, String marriageNumber);

    int countLikeNumberByUser(Long id);
}
