package com.sp.blinddate.module.order.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author 十一
 * @since 2019-09-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("trade_process_error")
public class TradeProcessError extends Model<TradeProcessError> {

    private static final long serialVersionUID = 1L;

    /**
     * 状态未处理
    **/
    public static final Integer STATUS_UNPROCESS = 0;

    /**
     * 状态已处理
    **/
    public static final Integer STATUS_PROCESSED = 1;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 异常发生时间
     */
    private Date createTime;

    /**
     * 错误信息
     */
    private String errorMessage;

    /**
     * 处理状态
     */
    private Integer status;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
