package com.sp.blinddate.module.spouse.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;

import com.sp.blinddate.module.user.ienum.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 子女择偶要求实体类
 * </p>
 *
 * @author 十一
 * @since 2019-11-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("spouse_request")
public class SpouseRequest extends Model<SpouseRequest> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "user_info_id",type = IdType.INPUT)
    private Long userInfoId;

    /**
     * 年龄
     */
    private AgeEnum age;

    /**
     * 身高
     */
    private UserHegihtEnum height;

    /**
     * 年收入
     */
    private IncomeEnum income;

    /**
     * 户籍地(省）
     */
    private String censusProvince;

    /**
     * 户籍地（市）
    **/
    private String censusCity;

    /**
     * 是否有婚房
     */
    private HouseEnum house;

    /**
     * 学历
     */
    private EducationEnum education;

    /**
     * 择偶说明
     */
    private String des;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
