package com.sp.blinddate.module.user.helper;

import java.util.Random;
import java.util.Set;
import java.util.TreeSet;

/**
 * @Descrption 管理用户子女的姻缘号
 * @Author: 十一
 * @Date: 2019/11/20 14:49
 **/
public class MarriageNumberManager {

    private static Set<String> marriageNumberSet = new TreeSet<>();

    public static String generatorMarriageNumber(){
        Random random = new Random();
        String finalNumber = null;
        while(true){
            int firstNubmer = random.nextInt(9) + 1;
            int otherNumber = random.nextInt(899999) + 100000;
            finalNumber = firstNubmer + "" + otherNumber;
            if(marriageNumberSet.add(finalNumber)){
                break;
            }
        }
        return finalNumber;
    }

    /**
     *功能描述 初始化id
     * @author 十一
     * @date 2019/12/3 11:43
     */
    public static void add(String id){
        marriageNumberSet.add(id);
    }
}
