package com.sp.blinddate.module.user.ienum;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.sp.ienum.IEnum;

/**
 * @Descrption 是否有车
 * @Author: 十一
 * @Date: 2019/11/13 17:04
 **/
public enum CarEnum implements IEnum {
    NoCar(0,"无车"),
    hasCar(1,"有车"),
    WillByCar(2, "将要购车");

    @EnumValue
    private Integer num;
    private String name;

    CarEnum(Integer num,String name){
        this.num = num;
        this.name = name;
    }
    @Override
    public int getNum() {
        return this.num;
    }

    @Override
    public String getName() {
        return this.name;
    }
}
