package com.sp.blinddate.module.user.ienum;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.sp.ienum.IEnum;

/**
 * @Descrption 用户完善个人信息枚举类
 * @Author: 十一
 * @Date: 2019/11/13 16:42
 **/
public enum ImprovedInfoEnum implements IEnum {
    UnImproved(0,"未完善信息"),Improved(1,"已完善个人信息");

    @EnumValue
    private Integer num;
    private String name;

    ImprovedInfoEnum(Integer num,String name){
        this.num = num;
        this.name = name;
    }
    @Override
    public int getNum() {
        return this.num;
    }

    @Override
    public String getName() {
        return this.name;
    }
}