package com.sp.blinddate.module.user.ienum;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.sp.ienum.IEnum;

public enum IncomeEnum implements IEnum {

    Three2Four(0,"3万-4万"),
    Four2Five(1,"4万-5万"),
    Five2Six(2,"5万-6万"),
    Six2Seven(3,"6万-7万"),
    Seven2Eight(4,"7万-8万"),
    Eight2Nine(5,"8万-9万"),
    Ten2Twenty(6,"10万-20万"),
    Tweety2Thirty(7,"20万-30万"),
    Thirth2Fourty(8,"30万-40万"),
    Fourty2Fifty(9,"40万-50万"),
    FifTy2Sixty(10,"50万-60万"),
    Sixty2Seventy(11,"60万-70万"),
    Seventy2Eighty(12,"70万-80万"),
    Eightty2Ninety(13,"80万-90万"),
    Ninety2Hundred(14,"90万-100万"),
    More(15,"100万以上");

    @EnumValue
    private Integer num;
    private String name;

    IncomeEnum(Integer num,String name){
        this.num = num;
        this.name = name;
    }

    @Override
    public int getNum() {
        return this.num;
    }

    @Override
    public String getName() {
        return name;
    }
}
