package com.sp.blinddate.module.user.mapper;

import com.sp.blinddate.module.user.entity.User;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sp.blinddate.module.vip.param.BaseParam;
import com.sp.blinddate.module.vip.vo.UserVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 用户账户表 Mapper 接口
 * </p>
 *
 * @author 十一
 * @since 2019-11-13
 */
public interface UserMapper extends BaseMapper<User> {

    List<UserVO> getUserListOrderByCreateTime(@Param("param") BaseParam param);
}
