package com.sp.blinddate.module.user.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/11/18 16:55
 **/
@Data
@ApiModel(value = "用户信息")
public class UserInfoParam {

    @NotNull(message = "昵称为空")
    @ApiModelProperty(name="nickName",value="昵称")
    private String nickName;

    @NotNull(message = "头像为空")
    @ApiModelProperty(name="avatarUrl",value="用户头像")
    private String avatarUrl;

    @NotNull(message = "性别为空")
    @ApiModelProperty(name="gender",value="性别")
    private Integer gender;

    @NotNull(message = "国家为空")
    @ApiModelProperty(name="country",value="国家")
    private String country;

    @NotNull(message = "省为空")
    @ApiModelProperty(name="province",value="省")
    private String province;

    @NotNull(message = "城市为空")
    @ApiModelProperty(name="city",value="城市")
    private String city;

    @NotNull(message = "openId为空")
    @ApiModelProperty(name="openId",value="openId")
    private String openId;
}
