package com.sp.blinddate.module.user.service;

import com.sp.blinddate.module.user.entity.User;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sp.blinddate.module.user.entity.UserChildInfo;
import com.sp.blinddate.module.user.param.UserFullInfoParam;
import com.sp.blinddate.module.user.vo.ChildBlindInfoBase;
import com.sp.blinddate.module.user.vo.ChildBlindInfoDetail;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 用户信息表 服务类
 * </p>
 *
 * @author 十一
 * @since 2019-11-13
 */
public interface IUserChildInfoService extends IService<UserChildInfo> {

    String uploadUserPic(MultipartFile pic);

    void saveInfo(User user, UserFullInfoParam fullInfoParam);

    List<ChildBlindInfoBase> getBaseInfo(User user);

    ChildBlindInfoDetail getdetailInfo(Long userInfoId);

    List<String> getChildMarriages(Long userId);

    List<Long> getUserIdsByMarriages(List<String> marriages);

    List<UserChildInfo> getByUserId(Long id);

    List<UserChildInfo> getRecommandListByInfoIds(List<Long> userInfos);

    List<String> getUserCoverImgByMarrages(List<String> marriages);

    List<String> getUserMarriages(Long userId);

    List<Long> getUserChildInfoIdsByCondition(Long userId);
}
