package com.sp.blinddate.module.user.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.sp.blinddate.common.BaseLikeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/11/20 16:04
 **/
@Data
@JsonIgnoreProperties(value = {"province","city"})
public class ChildBlindInfoDetail extends ChildBlindInfoBase implements Serializable {

    @ApiModelProperty(name="images",value="图片列表")
    private List<String> images;

    @ApiModelProperty(name="phone",value="手机号")
    private String phone;

    @ApiModelProperty(name="wechat",value="微信号")
    private String wechat;

    @ApiModelProperty(name="relation",value="与子女的关系")
    private String relation;

    @ApiModelProperty(name="maritalStatus",value="婚姻状况")
    private String maritalStatus;

    @ApiModelProperty(name="house",value="是否有房:0:无:1:有")
    private String house;

    @ApiModelProperty(name="car",value="是否有车:0无:1:有")
    private String car;

    @ApiModelProperty(name="des",value="相亲者的其他描述信息")
    private String des;

    @ApiModelProperty(name="requestAge",value="年龄要求")
    private String requestAge;

    @ApiModelProperty(name="requestHeight",value="身高要求")
    private String requestHeight;

    @ApiModelProperty(name="requestIncome",value="要求的年收入")
    private String requestIncome;

    @ApiModelProperty(name="requestCensusProvince",value="要求的户籍（省）")
    private String requestCensusProvince;

    @ApiModelProperty(name="requestCensusCity",value="要求的户籍（省）")
    private String requestCensusCity;

    @ApiModelProperty(name="house",value="要求是否有房:0:无:1:有")
    private String requestHouse;

    @ApiModelProperty(name="education",value="要求的学历学历")
    private String requestEducation;

    @ApiModelProperty(name="requestDes",value="其他要求描述")
    private String requestDes;

    @ApiModelProperty(name="isLiked",value="是否喜欢过，0：未喜欢 1：已喜欢")
    private BaseLikeEnum isLiked;



}
