package com.sp.blinddate.module.vip.param;

import com.sp.blinddate.module.user.ienum.VipExpireStatusEnum;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/11/25 16:51
 **/
@Data
@Api(value = "用户vip参数对象")
public class VipParam extends BaseParam implements Serializable {

    @ApiModelProperty(name="orderNum",value="订单号")
    private Long orderNum;

    @ApiModelProperty(name="status",value="vip状态 0：服务中，1：已过期")
    private VipExpireStatusEnum status;
    
}
