package com.sp.blinddate.module.vip.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/11/25 16:57
 **/
@Data
@Api(value = "vip返回对象")
public class VipExpireVO implements Serializable {

    @ApiModelProperty(name="orderNum",value="订单号")
    private Long orderNum;

    @ApiModelProperty(name="userId",value="用户id")
    private Long userId;

    @ApiModelProperty(name="nickName",value="昵称")
    private String nickName;

    @ApiModelProperty(name="headImg",value="头像")
    private String headImg;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(name="VipStartTime",value="vip开通时间")
    private Date VipStartTime;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(name="VipEndTime",value="vip到期时间")
    private Date VipEndTime;

    @ApiModelProperty(name="mount",value="认证金额")
    private BigDecimal amount;

}
