package com.sp.blinddate.utils;

import com.alibaba.fastjson.JSONObject;
import com.sp.blinddate.base.vo.AddressComponent;
import com.sp.exception.BusinessException;
import lombok.Data;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/11/29 17:41
 **/
@Data
public class ParseAliMapUtil {

    public static AddressComponent parse(JSONObject obj){
        if(obj.get("status").equals("1")){
            Object address = JSONObject.parseObject(obj.get("regeocode").toString()).get("addressComponent");
            JSONObject json = JSONObject.parseObject(address.toString());
            AddressComponent com = new AddressComponent();
            com.setCountry(json.get("country").toString());
            com.setProvince(json.get("province").toString());
            com.setCity(json.get("city").toString());
            com.setDistrict(json.get("district").toString());
            return com;
        }else{
            throw new BusinessException("解析地理位置出错");
        }
    }
}
