package com.sp.blinddate.validator;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.*;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * @Author: 十一
 * @Date: 2019/12/13 11:39
 * @Descrption
 **/
@Target({ METHOD, FIELD, ANNOTATION_TYPE, CONSTRUCTOR, PARAMETER })
@Retention(RUNTIME)
@Constraint(validatedBy=SensitiveWordsValidator.class)
@Documented
public @interface SensitiveWords {

    String message() default "包含敏感词";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
