package com.sp.blinddate.validator;

import org.springframework.util.StringUtils;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/12/13 11:41
 **/
public class SensitiveWordsValidator implements ConstraintValidator<SensitiveWords, String> {

    private static String WORD_PATTERN;
    private static Pattern pattern = null;

    @Override
    public void initialize(SensitiveWords constraintAnnotation) {
    }

    public static void setWordPattern(String pattern){
        WORD_PATTERN = ".*(" + pattern + ").*";
        SensitiveWordsValidator.pattern = Pattern.compile(WORD_PATTERN);
    }

    @Override
    public boolean isValid(String value, ConstraintValidatorContext context) {
        if(StringUtils.isEmpty(value)) {
            return true;
        }
        Matcher matcher = pattern.matcher(value);
        while(matcher.find()){
            System.out.println(matcher.group());
            return false;
        }
//        boolean matches = Pattern.matches(WORD_PATTERN, value);
//        return !matches;
        return true;
    }
}